<template>
  <div class="container">
    <div class="container-left">
      <div
        class="left-card"
        v-for="(item, i) in menuArr"
        :key="i"
        :class="activePage == i ? 'left-card-active' : ''"
        @click="openMenu(item, i)"
      >
        <span class="icon iconfont" :style="`font-size:${item.size}px`">{{
          item.icon
        }}</span>
        <span class="card-text">{{ item.name }}</span>
      </div>
    </div>
    <operationLog v-if="activePage == 0" style="width: 100%"></operationLog>
    <systemLog v-if="activePage == 1" style="width: 100%"></systemLog>
    <pollingLog v-if="activePage == 2" style="width: 100%"></pollingLog>
    <eventPushLog v-if="activePage == 3" style="width: 100%"></eventPushLog>
  </div>
</template>

<script>
import operationLog from "../views/operationLog";
import systemLog from "../views/systemLog";
import pollingLog from "../views/pollingLog";
import eventPushLog from "../views/eventPushLog";
export default {
  name: "settings",
  components: {
    operationLog,
    systemLog,
    pollingLog,
    eventPushLog,
  },
  data() {
    return {
      menuArr: [
        { name: "操作日志", icon: "\ue7c6", size: 26 },
        { name: "系统日志", icon: "\ue7c8", size: 26 },
        { name: "轮询日志", icon: "\ue7c4", size: 26 },
        { name: "事件推送日志", icon: "\ue7c9", size: 19 },
      ],
      activePage: 0,
    };
  },
  methods: {
    openMenu(item, i) {
      this.activePage = i;
    },
  },
};
</script>
<style lang="scss">
.container {
  height: 100%;
  display: flex;
  flex-direction: row;
  flex: 1;
  flex-basis: auto;
  box-sizing: border-box;
  background-color: #fff;
  .container-left {
    height: 100%;
    width: 244px;
    overflow: auto;
    box-sizing: border-box;
    flex-shrink: 0;
    padding: 10px;
    border-top: 1px solid #e1e0e6;
    box-sizing: border-box;
    background-color: #fff;
    .left-card {
      height: 56px;
      cursor: pointer;
      border-radius: 8px;
      margin-bottom: 4px;
      display: flex;
      align-items: center;

      .iconfont {
        margin-left: 17px;
        margin-right: 27px;
        font-size: 26px;
      }
      .card-text {
        font-weight: bold;
        font-size: 14px;
      }
    }
    .left-card-active {
      background-color: #4e94ff !important;
      color: #fff;
    }
    .left-card:hover {
      background-color: #f2f2f7;
    }
  }
}

.icon_clear:hover {
  border-radius: 50%;
  background-color: #4e94ff !important;
  color: #fff !important;
}
</style>


